Bug 161670 - [UPDATE] math/glpk to v4.47
Summary: [UPDATE] math/glpk to v4.47
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Sivachenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-14 23:00 UTC by hardy.schumacher
Modified: 2011-10-19 00:02 UTC (History)
0 users

See Also:


Attachments
glpk_diff.txt (4.00 KB, text/plain; charset=US-ASCII)
2011-10-14 23:27 UTC, b. f.
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description hardy.schumacher 2011-10-14 23:00:17 UTC
Update of math/glpk is available.

Fix: 

Change the following lines in the named files:

#########################
# Makefile
#########################
--- PORTVERSION=	4.45
+++ PORTVERSION=	4.47


#########################
# distinfo
#########################
--- SHA256 (glpk-4.45.tar.gz) = 9207cb613d4436d9a66bc1b1f2018176d106cef0e92a3a85500feeec373be98c
+++ SHA256 (glpk-4.47.tar.gz) = c35438e3ba74a8d85236810e6b84879272c87cfa7473b4075201e2967839f48d
--- SIZE (glpk-4.45.tar.gz) = 3132439
+++ SIZE (glpk-4.47.tar.gz) = 3124974
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2011-10-14 23:00:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 b. f. 2011-10-14 23:27:00 UTC
The OP's patch is not enough -- one of the configure arguments is now
obsolete, there are additional documents, and there is a bump in the
major version of the shared library.

Coincidentally, I was working on an update today, and I made these
changes and streamlined the document installation.  Patch attached,
although I haven't finished my test builds of math/octave.

b.
Comment 3 b. f. 2011-10-17 12:05:25 UTC
On 10/14/11, b. f. <bf1783@googlemail.com> wrote:
> The OP's patch is not enough -- one of the configure arguments is now
> obsolete, there are additional documents, and there is a bump in the
> major version of the shared library.
>
> Coincidentally, I was working on an update today, and I made these
> changes and streamlined the document installation.  Patch attached,
> although I haven't finished my test builds of math/octave.

My build finished, and there are no obvious problems with math/octave.
Is this okay to commit before slush starts later today?

b.
Comment 4 dfilter service freebsd_committer 2011-10-17 12:44:41 UTC
bf          2011-10-17 11:44:27 UTC

  FreeBSD ports repository

  Modified files:
    math/glpk            Makefile distinfo pkg-plist 
  Log:
  update to 4.47; the necessary adjustments to math/octave*
  were made in the math/fftw3 update of a few minutes ago
  
  PR:             161670
  Submitted by:   H. Schumacher (partial patch)
  Approved by:    demon
  
  Revision  Changes    Path
  1.43      +9 -10     ports/math/glpk/Makefile
  1.38      +2 -2      ports/math/glpk/distinfo
  1.35      +1 -1      ports/math/glpk/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Brendan Fabeny freebsd_committer 2011-10-19 00:02:08 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!